=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
@@ -28,8 +28,8 @@
 
 Package: libkf5solid-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: udisks2 [linux-any], upower
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: udisks2 [linux-any], upower,
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -44,7 +44,7 @@
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5solid-doc (= ${source:Version})
+Recommends: libkf5solid-doc (= ${source:Version}),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -52,12 +52,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54)
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.54),
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -73,7 +73,7 @@
 Depends: libkf5solid5-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: media-player-info [linux-any]
+Recommends: media-player-info [linux-any],
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -92,9 +92,9 @@
 Package: libkf5solid5-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: libkf5solid5 (<< 5.74)
-Replaces: libkf5solid5 (<< 5.74)
+Depends: ${misc:Depends},
+Breaks: libkf5solid5 (<< 5.74),
+Replaces: libkf5solid5 (<< 5.74),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -106,7 +106,7 @@
 Package: qml-module-org-kde-solid
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
