## solid 5.115.0

=== src/solid/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 5.0
+    DEPRECATION_VERSIONS 5.0 5.105
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 add_library(KF5::Solid ALIAS KF5Solid)
